Name: ketchup
Version: 0.9.8
Release: 4%{?dist}
Group: Development/Tools
Summary: Linux Kernel source switch/update tool
License: GPL+
URL: http://www.selenic.com/ketchup/wiki/
Source: http://www.selenic.com/ketchup/%{name}-%{version}.tar.bz2
BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildArch: noarch

Requires: wget
Requires: gnupg

%description
Ketchup is a tool for updating or switching between versions of the
Linux kernel source. It can:
- Find the latest versions of numerous KernelTrees;
- Calculate which patches are needed to move to that version;
- Download any patches or tarballs that aren't cached;
- Check GPG signatures where available;
- Apply and unapply patches to get the desired result.

%prep
%setup -q

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}/contrib
install -p -m755 %{name} -D $RPM_BUILD_ROOT%{_bindir}/%{name}
install -p -m644 ketchup.1 -D $RPM_BUILD_ROOT%{_mandir}/man1/ketchup.1
install -p -m755 contrib/* -D $RPM_BUILD_ROOT%{_datadir}/%{name}/contrib/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/ketchup
%{_mandir}/man1/ketchup.1.*
%{_datadir}/%{name}

%changelog
* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.8-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.8-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu May 29 2008 Tom "spot" Callaway <tcallawa@redhat.com> 0.9.8-2
- fix license tag

* Thu Jun 21 2007 Benjamin Krill <ben@codiert.org> 0.9.8-1
- initial release for fedora

* Thu May 04 2006 Leonardo Chiquitto Filho <chiquitto@mandriva.com> 0.9.8-1mdk
- update to 0.9.8

* Fri Mar 31 2006 Leonardo Chiquitto Filho <chiquitto@mandriva.com> 0.9.6-1mdk
- initial release
